Ticket #41884

convert_png update for modern inkscape

Open Date: 2021-03-30 20:55 Last Update: 2021-04-14 22:21

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Current inkscape version does not understand the parameters convert_png tries to pass it. Update convert_png.

Ticket History (3/11 Histories)

2021-03-30 20:55 Updated by: cazfi
  • New Ticket "convert_png update for modern inkscape" created
2021-03-31 18:42 Updated by: cazfi
Comment

I have Inkscape 1.0.2

2021-04-03 14:14 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-04-10 21:59 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Images do not scale correctly with this.

2021-04-10 22:36 Updated by: cazfi
Comment

The scaling seems to work, after all. There is some other trouble with, e.g., persian (iran_ancient) flag.

2021-04-10 22:42 Updated by: cazfi
Comment

It has page bigger than the actual image -> #41966

There are other flags with (supposedly) same problem.

2021-04-11 01:17 Updated by: cazfi
Comment

As this patch updates only the conversion script, without regenerating all the flag pngs with it (and we can't regenerate all of them for the issues we see with some of them), this means we are about to ship pngs for which we provide no tool by which they were generated. Also, until this patch is applied, regenerating some of the pngs in other tickets, using the new script that works with current inkscape, again leads to shipping pngs for which we provide no tool by which they were generated.

As a solution I think we need to temporarily ship both tool versions. Make a copy of old convert_png as convert_png_legacy, and update convert_png.

2021-04-13 03:56 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- Add convert_png_legacy

2021-04-14 22:21 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login